org.apache.xmlgraphics.image.loader.impl.imageio

## Class ImageLoaderFactoryImageIO

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
  - - org.apache.xmlgraphics.image.loader.impl.imageio.ImageLoaderFactoryImageIO

- All Implemented Interfaces:
    ImageLoaderFactory

      public class ImageLoaderFactoryImageIO
      extends AbstractImageLoaderFactory

  Factory class for the ImageLoader based on ImageIO.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderFactoryImageIO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageFlavor[]` | `getSupportedFlavors(java.lang.String mime)` Returns an array of ImageFlavors that are supported by this implementation for a given MIME type.
    `java.lang.String[]` | `getSupportedMIMETypes()` Returns an array of MIME types supported by this implementation.
    `boolean` | `isAvailable()` Indicates whether the underlying libraries needed by the implementation are available.
    `ImageLoader` | `newImageLoader(ImageFlavor targetFlavor)` Creates and returns a new ImageLoader instance.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

      `getUsagePenalty, isSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoaderFactoryImageIO

          public ImageLoaderFactoryImageIO()

  - ### Method Detail

    - #### getSupportedMIMETypes

          public java.lang.String[] getSupportedMIMETypes()

      Returns an array of MIME types supported by this implementation.
      Returns:
        the MIME type array

    - #### getSupportedFlavors

          public ImageFlavor[] getSupportedFlavors(java.lang.String mime)

      Returns an array of ImageFlavors that are supported by this implementation for a given MIME type.
      Parameters:
        `mime` - the MIME type
      Returns:
        the ImageFlavor array

    - #### newImageLoader

          public ImageLoader newImageLoader(ImageFlavor targetFlavor)

      Creates and returns a new ImageLoader instance.
      Parameters:
        `targetFlavor` - the target image flavor to produce
      Returns:
        a new ImageLoader instance

    - #### isAvailable

          public boolean isAvailable()

      Indicates whether the underlying libraries needed by the implementation are available.
      Returns:
        true if the implementation is functional.

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.